Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementremoveattributenode Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementremoveattributenode (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "removeAttributeNode(oldAttr)" method returns the node that was removed.

Retrieve the last child of the third employee and remove its "street" Attr node. The method should return the old attribute node.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D589198

Definition at line 44 of file elementremoveattributenode.java.

## Constructor & Destructor Documentation

elementremoveattributenode::elementremoveattributenode | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 46 of file elementremoveattributenode.java.
    00047  {
    00048       super(factory);
    00049
    00050    }

## Member Function Documentation

String elementremoveattributenode::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 68 of file elementremoveattributenode.java.
    00068                                 {
    00069       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementremoveattributenode";
    00070    }

void elementremoveattributenode::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 71 of file elementremoveattributenode.java. References DOMTestCase::doMain().
    00071                                           {
    00072         DOMTestCase.doMain(elementremoveattributenode.class,args);
    00073    }

void elementremoveattributenode::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 52 of file elementremoveattributenode.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00052                                                     {
    00053       Document doc;
    00054       NodeList elementList;
    00055       Element testEmployee;
    00056       Attr streetAttr;
    00057       Attr removedAttr;
    00058       String removedValue;
    00059       doc = load("staff");
    00060       elementList = doc.getElementsByTagName("address");
    00061       testEmployee = (Element)elementList.item(2);
    00062       streetAttr = testEmployee.getAttributeNode("street");
    00063       removedAttr = testEmployee.removeAttributeNode(streetAttr);
    00064       removedValue = removedAttr.getValue();
    00065       assertEquals("elementRemoveAttributeNodeAssert","No",removedValue);
    00066
    00067    }

The documentation for this class was generated from the following file:

- elementremoveattributenode.java